Subject: user Define functin again!

From: [email-masked] (Postgres Database)
Date: Wed, 4 Mar 92 09:48:24 -0800

Sorry , maybe let me point out the problem again,
In the manual sectin 7.1,
I type :
define function high_pay
(language = "postquel", returntype = EMP)
as
retrieve (EMP.all) where EMP.salary>50000.0 \g

and got  error message as : 
WARN:Mar  4 12:28:46:no zero argument postquel functions

and I  type :
 define function large_pay
(language = "postquel", returntype = EMP)
 arg is (int4) as
 retrieve (EMP.all) where EMP.salary>$1 \g

I got NOTICE:Mar  4 12:29:40:RelationBuildDesc: (relation name int4) nonexistent
WARN:Mar  4 12:29:40:heap_openr on int4 failed

and then I type:
addattr EMP (manager=EMP) \g

and I got : WARN:Mar  4 12:29:47:parser: syntax error at or near "EMP"

By the Way, when I type

retrieve (EMP.salary) using EMP[T] where EMP.name="Sam"

then I got : WARN:Mar  4 12:48:04:parser: syntax error at or near "using"

It seem that the manual is not quite the same as in reality.